@media screen and (max-width: 600px){

    #logo img{
        margin-top: 5px;
        height: 6vh;
    }
    .icon i{
        display: block;
    }
    .icon h4{
        display: none;
    }
    #home{
        display: none;
    }
    #ball2{
       display: none;
    }
    #ball3{
        display: none;
    }
    #ball{
        display: none;
    }
    #homecontent h1{
        font-size: 12vw;
    }

    #homecontent{
        margin-top: 40px;
        margin-left: 20px;
    }
    #homecontent p{
        padding: 5px;
        opacity: .5;

    }
    #splash{
        display: none;
    }
    #shivam{
        height: 60%;
        width: 60%;
        border: #40A2D8 4px solid;
        border-radius: 50%;
    }
    .mobilenavbar{
        border-top: 2px solid white;
        position: relative;
        display: block;
        z-index: 999;
    }
    .mobilenavbar ul{
        position: absolute;
        display: flex;
        align-items: center;
        flex-direction: column;
        width: 100%;
        height: 0vh;
        overflow: hidden;
        background-color: black;
        transition: all .5s;
        
    }
    #check:checked ~ul{
        height: 40vh;   
    }
    .mobilenavbar ul li{
        border: 2px solid rgba(160, 147, 147, 0.903);
        border-radius: 20px;
        padding: 1.5vh 3vw;
        margin-top: 10%;
    }
    .mobilenavbar ul li a{
        font-size: 20px;
        font-weight: 300;
        text-decoration: none;
        color: white;

    }

    .mobilenavbar ul li:hover a{
        color: #40A2D8;
    }
    #mobhome{
        height: 100vh;
        width: 100%;
        display: block;
        position: relative;  
    }
    #top{
        position: relative;
        height: 50vh;
        width: 100%;
    }
    #background{
        position: absolute;
        background-color: #40A2D8;
        height: 30vh;
        width: 100%;
        z-index: -999;
    }
    #frame{
        position: relative;
        top: 25%;
        left: 20%;
        width: 59%;
        height: 60%;
        display: flex;
        align-items: center;
        justify-content: center;
        border: #40A2D8 5px solid;
        border-radius: 50%;
        background-color: white;
    }
    #inframe{
        width: 70%;
        height: 70%;
        position: absolute;
        border: #40A2D8 10px solid;
        border-radius: 50%;
        overflow: hidden;
        background-color:  rgb(47,36,222);
        background: linear-gradient(180deg, rgba(47,36,222,1) 25%, rgba(0,0,0,1) 81%, rgba(0,0,0,1) 89%);;
    }
    #inframe img{
        position: absolute;
        top: 10%;
        left: 4%;
        height: 17vh;
        width: 20vh;
        object-fit: cover;
    }
    #bottom{
        display: flex;
        align-items: center;
        flex-direction: column;
        height: 50vh;
        width: 100%;
        padding: 6vh;
        gap: 4vh;
    }
    #bottom a{
        text-decoration: none;
        padding: 12px 32px;
        border: 1px solid rebeccapurple;
        border-radius: 5px;
        background-color: rebeccapurple; 
        color: white;
        font-size: 16px;
        font-weight: 400;
    }
    #bottom h5{
        font-weight: 600;
        font-size: 3vh;
    }
    #links{
        font-size: 3vh;
        top: -30%;
        position: relative;
        display: flex;
        align-items: center;
        color: rebeccapurple;
        gap: 4vh;
    }
}
@media screen and (min-width: 375px){
    #check:checked ~ul{
        height: 45vh;
    }
    #frame{
        height: 72%;
        width: 60%;
    }
    #links{
        top: -18%;
    }
    #inframe img{
        position: absolute;
        top: 10%;
        left: 4%;
        height: 20vh;
        width: 25vh;
        object-fit: cover;
    }
}
@media screen and (min-width: 425px){
    #check:checked ~ul{
        height: 50vh;
    }
    #frame{
        height: 80%;
        width: 60%;
    }
    #links{
        top: -8%;
       
    }
    #inframe img{
        position: absolute;
        top: 10%;
        left: 4%;
        height: 23vh;
        width: 28vh;
        object-fit: cover;
    }
}
@media screen and (min-width: 320px){
    #frame{
        left: 15%;
        width: 70%;
    }

}
@media screen and (min-height: 876px) and (min-width: 393px){
    #inframe img{
        position: absolute;
        top: 10%;
        left: 4%;
        height: 23vh;
        width: 28vh;
        object-fit: cover;
    }
    #frame{
        left: 13%;
        height: 69%;
        width: 74%;
    }
}